//-*- Mode: C++ -*-
// $Id$

/**************************************************************************
 * This file is property of and copyright by the Experimental Nuclear     *
 * Physics Group, Dep. of Physics                                         *
 * University of Oslo, Norway, 2006                                       *
 *                                                                        * 
 * Author: Per Thomas Hille perthi@fys.uio.no for the ALICE DCS Project.  *
 * Contributors are mentioned in the code where appropriate.              *
 * Please report bugs to perthi@fys.uio.no                                * 
 *                                                                        *
 * Permission to use, copy, modify and distribute this software and its   *
 * documentation strictly for non-commercial purposes is hereby granted   *
 * without fee, provided that the above copyright notice appears in all   *
 * copies and that both the copyright notice and this permission notice   *
 * appear in the supporting documentation. The authors make no claims     *
 * about the suitability of this software for any purpose. It is          *
 * provided "as is" without express or implied warranty.                  *
 **************************************************************************/

#ifndef ALIHLTCALOCONSTANT_H
#define ALIHLTCALOCONSTANT_H

namespace CaloHLTConst
{
  const int MAXHOSTS = 20;
  const int DEFAULTEVENTPORT = 42001;
  const int MAXBINVALUE = 1023;
  const int HIGHGAIN    =   1;
  const int LOWGAIN     =   0;

  const int ALTROMAXSAMPLES = 1008;                           /**<The maximum number of samples of the ALTRO*/
  const int ALTROMAXPRESAMPLES = 15;        
 //  const int ALTROMAXTRALERSIZE = 7;  
  //  const int  DDLBLOCKSIZE = 5;

  const int NZROWSRCU     =   56;                    /**<Number of rows per module*/       
  const int NXCOLUMNSRCU  =   16; 
  const int NZROWSMOD      =  56;                    /**<Number of rows per module*/       
  const int NXCOLUMNSMOD   =  64;                 /**<Number of columns per module*/ 
  const int NGAINS         =   2;                             /**<Number of gains per ALTRO channel*/
  const int NDATATYPES     =   10;    

  const int  PFMAXPATHLENGTH = 256;

#ifndef __CINT__
  const unsigned char PFVECTORDIR[] = "/HLT/PHOS/PFVectors";
#endif

  const int PFDEFAULTNSAMPLES = 70;
  const int PFDEFAULTSTARTINDEX = 0;

  const int DEFAULTTAU = 2;    /**<Assume that the signal rise time of the altrp pulses is 2 us (nominal value of the electronics)*/
  const int  DEFAULTFS = 10;   /**<Assume that the signal is samples with 10 MHZ samle rate*/

  const int MODULE0     = 0;
  const int MODULE1     = 1;
  const int MODULE2     = 2;
  const int MODULE3     = 3;
  const int MODULE4     = 4;

  const int CSPSPERFEE    = 32;
  const int RCU0       = 0;
  const int RCU1       = 1;
  const int RCU2       = 2;
  const int RCU3       = 3;

  const int Z0         = 0;
  const int Z1         = 1;
  const int X0         = 0;
  const int X1         = 1;

  const int NMODULES    =      5;                             /**<Number of modules of the PHOS detector*/
  const int NRCUS       =      4;                             /**<Number of RCUs per Module*/
 
  //              NRCUSPERMODULE
  const int NRCUSPERMODULE =  4 ;                            /**<Number of RCUs per Module*/
  const int NRCUSPERTOTAL =  NMODULES*NRCUSPERMODULE;   /**<Total number of RCUs for PHOS*/
  const int NFEECS         =  14;                             /**<Number of Frontend cards per branch*/
  const int NALTROS        =   4;                             /**<Number of ALTROs per frontend card*/
  const int NALTROCHANNELS =  16;
  const int NBRANCHES      =   2;      
}


#endif


